Get submission details
Returns one form submission by ID, including captured customer details, billing/shipping data, submitted field values, and request metadata when present.
GET
/v1/submissions/:submissionIdAuthorization
api_key_auth AuthorizationBearer <token>
API key authentication. Use "Bearer YOUR_API_KEY" format.
In: header
Path Parameters
submissionId*string
The ID of the submission to retrieve. Use the list submissions endpoint first if you need to discover a submission ID by email, name, customer, page, or date range.
Match
^[0-9a-fA-F]{24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.checkoutpage.com/v1/submissions/:submissionId"{
"data": {
"id": "6812fe6e9f39b6760576f01c",
"status": "succeeded",
"sellerId": "string",
"pageId": "string",
"customerId": "string",
"customerEmail": "string",
"customerName": "string",
"formTitle": "string",
"billing": {
"name": "string",
"companyName": "string",
"email": "string",
"billingEmail": "string",
"phone": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"country": "string"
}
},
"shipping": {
"name": "string",
"phone": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"country": "string"
}
},
"fields": [
{
"fieldId": "string",
"label": "string",
"value": "string",
"element": "string",
"type": "string",
"meta": {
"property1": null,
"property2": null
},
"reference": "string"
}
],
"livemode": true,
"locale": "string",
"sessionId": "string",
"clientIp": "string",
"userAgent": "string",
"screenWidth": 0,
"visitId": "string",
"queryParameters": {
"property1": "string",
"property2": "string"
},
"pageSlug": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}